## ros-noetic-cob-phidgets 0.7.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_phidgets)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS libphidgets message_generation roscpp sensor_msgs std_msgs)

### Message Generation ###
add_message_files(
  FILES
  AnalogSensor.msg
  DigitalSensor.msg
)

add_service_files(
  FILES
  SetDataRate.srv
  SetDigitalSensor.srv
  SetTriggerValue.srv
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  CATKIN_DEPENDS message_runtime roscpp sensor_msgs std_msgs
)

### BUILD ###
include_directories(${PROJECT_SOURCE_DIR}/ros/include ${PROJECT_SOURCE_DIR}/common/include ${catkin_INCLUDE_DIRS})

add_executable(range_sensors ros/src/phidgets_range_sensors.cpp)
add_dependencies(range_sensors ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(range_sensors ${catkin_LIBRARIES})

add_executable(device_name ros/src/set_device_name.cpp)
add_dependencies(device_name ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(device_name ${catkin_LIBRARIES})

add_executable(phidget_sensors
  common/src/phidget.cpp
  common/src/phidgetik.cpp
  ros/src/phidget_manager.cpp
  ros/src/phidget_sensors_node.cpp
  ros/src/phidgetik_ros.cpp)
add_dependencies(phidget_sensors ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(phidget_sensors ${catkin_LIBRARIES})

add_executable(phidget_sensors_sim ros/src/cob_phidgets_sim_node.cpp)
add_dependencies(phidget_sensors_sim ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(phidget_sensors_sim ${catkin_LIBRARIES})

### INSTALL ###
install(TARGETS device_name phidget_sensors phidget_sensors_sim range_sensors
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS ros/src/simulated_range_sensors.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/ros/src
)

=== debian/changelog ===
ros-noetic-cob-phidgets (0.7.14-1focal) focal; urgency=high

  * Merge pull request #438 <https://github.com/ipa320/cob_driver/issues/438> from fmessmer/feature/phidgets_emulation
    [WIP] minimal emulation for phidget_sensors node
  * minimal emulation for phidget_sensors node
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.13-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-phidgets (0.7.12-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 14 Mar 2022 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.11-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.10-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.9-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 25 Nov 2021 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.8-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-phidgets (0.7.7-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-cob-phidgets (0.7.6-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-phidgets (0.7.5-1focal) focal; urgency=high

  * Merge pull request #418 <https://github.com/ipa320/cob_driver/issues/418> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-phidgets (0.7.4-1focal) focal; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-noetic-cob-phidgets (0.7.3-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.2-1focal) focal; urgency=high

  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.1-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-phidgets (0.7.0-1focal) focal; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.15-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 16 Jul 2019 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.14-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.13-1focal) focal; urgency=high

  * Merge pull request #386 <https://github.com/ipa320/cob_driver/issues/386> from benmaidel/fix/check_sensor_value
    [cob_phidgets] srv callback check if digital sensor is already at desired state
  * fix indentation
  * on srv callback check if digital sensor is already at desired state
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-phidgets (0.6.12-1focal) focal; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.11-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-cob-phidgets (0.6.10-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.9-1focal) focal; urgency=high

  * use usleep
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.8-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.7-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.6-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.5-1focal) focal; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-noetic-cob-phidgets (0.6.4-1focal) focal; urgency=high

  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS


=== debian/control ===
Source: ros-noetic-cob-phidgets
Section: misc
Priority: optional
Maintainer: Benjamin Maidel <benjamin.maidel@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-libphidgets, ros-noetic-message-generation, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/cob_phidgets
Standards-Version: 3.9.2

Package: ros-noetic-cob-phidgets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-libphidgets, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: cob_phidgets

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-phidgets//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
